Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSplitPaneUI.BasicHorizontalLayoutManager

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager

Direct Known Subclasses:
  BasicSplitPaneUI.BasicVerticalLayoutManager

public class BasicSplitPaneUI.BasicHorizontalLayoutManager
extends java.lang.Object
implements java.awt.LayoutManager2

LayoutManager for JSplitPanes that have an orientation of HORIZONTAL_SPLIT.

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

Field Summary
`protected java.awt.Component[]` | `components`
`protected int[]` | `sizes`

Method Summary
`void` | `addLayoutComponent(java.awt.Component comp, java.lang.Object constraints)` Adds the specified component to the layout, using the specified constraint object.
`void` | `addLayoutComponent(java.lang.String place, java.awt.Component component)` Adds the component at place.
`protected int` | `getAvailableSize(java.awt.Dimension containerSize, java.awt.Insets insets)` Returns the available width based on the container size and Insets.
`protected int` | `getInitialLocation(java.awt.Insets insets)` Returns the left inset, unless the Insets or null in which case 0 is returned.
`float` | `getLayoutAlignmentX(java.awt.Container target)` Returns the alignment along the x axis.
`float` | `getLayoutAlignmentY(java.awt.Container target)` Returns the alignment along the y axis.
`protected int` | `getPreferredSizeOfComponent(java.awt.Component c)` Returns the width of the passed in Components preferred size.
`protected int` | `getSizeOfComponent(java.awt.Component c)` Returns the width of the passed in component.
`protected int[]` | `getSizes()` Returns the sizes of the components.
`void` | `invalidateLayout(java.awt.Container c)` Does nothing.
`void` | `layoutContainer(java.awt.Container container)` Calculates the actual layout.
`java.awt.Dimension` | `maximumLayoutSize(java.awt.Container target)` Returns the maximum layout size, which is Integer.MAX_VALUE in both directions.
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container container)` Returns the minimum size needed to contain the children.
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container container)` Returns the preferred size needed to contain the children.
`void` | `removeLayoutComponent(java.awt.Component component)` Removes the specified component from our knowledge.
`protected void` | `resetSizeAt(int index)` Resets the size of the Component at the passed in location.
`void` | `resetToPreferredSizes()` Resets the cached sizes so that next time this instance is layed out it'll ask for the preferred sizes.
`protected void` | `setComponentToSize(java.awt.Component c, int size, int location, java.awt.Insets insets, java.awt.Dimension containerSize)` Sets the width of the component c to be size, placing its x location at location, y to the insets.top and height to the containersize.height less the top and bottom insets.
`protected void` | `setSizes(int[] newSizes)` Sets the sizes to `newSizes`.
`protected void` | `updateComponents()` Determines the components.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sizes

    protected int[] sizes

### components

    protected java.awt.Component[] components

Method Detail

### resetSizeAt

    protected void resetSizeAt(int index)

  Resets the size of the Component at the passed in location.

### setSizes

    protected void setSizes(int[] newSizes)

  Sets the sizes to `newSizes`.

### getSizes

    protected int[] getSizes()

  Returns the sizes of the components.

### getPreferredSizeOfComponent

    protected int getPreferredSizeOfComponent(java.awt.Component c)

  Returns the width of the passed in Components preferred size.

### getSizeOfComponent

    protected int getSizeOfComponent(java.awt.Component c)

  Returns the width of the passed in component.

### getAvailableSize

    protected int getAvailableSize(java.awt.Dimension containerSize,
                                   java.awt.Insets insets)

  Returns the available width based on the container size and Insets.

### getInitialLocation

    protected int getInitialLocation(java.awt.Insets insets)

  Returns the left inset, unless the Insets or null in which case 0 is returned.

### setComponentToSize

    protected void setComponentToSize(java.awt.Component c,
                                      int size,
                                      int location,
                                      java.awt.Insets insets,
                                      java.awt.Dimension containerSize)

  Sets the width of the component c to be size, placing its x location at location, y to the insets.top and height to the containersize.height less the top and bottom insets.

### layoutContainer

    public void layoutContainer(java.awt.Container container)

  Calculates the actual layout.

### addLayoutComponent

    public void addLayoutComponent(java.lang.String place,
                                   java.awt.Component component)

  Adds the component at place. Place must be one of JSplitPane.LEFT, RIGHT, TOP, BOTTOM, or null (for the divider).

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container container)

  Returns the minimum size needed to contain the children. The width is the sum of all the childrens min widths and the height is the largest of the childrens minimum heights.

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container container)

  Returns the preferred size needed to contain the children. The width is the sum of all the childrens preferred widths and the height is the largest of the childrens preferred heights.

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component component)

  Removes the specified component from our knowledge.

### addLayoutComponent

    public void addLayoutComponent(java.awt.Component comp,
                                   java.lang.Object constraints)

  Adds the specified component to the layout, using the specified constraint object.
  Specified by:
    addLayoutComponent in interface java.awt.LayoutManager2
  Parameters:
    `comp` - the component to be added
    `constraints` - where/how the component is added to the layout.

### getLayoutAlignmentX

    public float getLayoutAlignmentX(java.awt.Container target)

  Returns the alignment along the x axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.
  Specified by:
    getLayoutAlignmentX in interface java.awt.LayoutManager2

### getLayoutAlignmentY

    public float getLayoutAlignmentY(java.awt.Container target)

  Returns the alignment along the y axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.
  Specified by:
    getLayoutAlignmentY in interface java.awt.LayoutManager2

### invalidateLayout

    public void invalidateLayout(java.awt.Container c)

  Does nothing. If the developer really wants to change the size of one of the views JSplitPane.resetToPreferredSizes should be messaged.
  Specified by:
    invalidateLayout in interface java.awt.LayoutManager2

### maximumLayoutSize

    public java.awt.Dimension maximumLayoutSize(java.awt.Container target)

  Returns the maximum layout size, which is Integer.MAX_VALUE in both directions.
  Specified by:
    maximumLayoutSize in interface java.awt.LayoutManager2

### resetToPreferredSizes

    public void resetToPreferredSizes()

  Resets the cached sizes so that next time this instance is layed out it'll ask for the preferred sizes.

### updateComponents

    protected void updateComponents()

  Determines the components. This should be called whenever a new instance of this is installed into an existing SplitPane.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.